import * as $dara from '@darabonba/typescript';
import { DescribeIpv6GatewaysResponseBody } from "./DescribeIpv6gatewaysResponseBody";
export declare class DescribeIpv6GatewaysResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeIpv6GatewaysResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
